<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [RemoteRepository](./git-documentdb.remoterepository.md)

## RemoteRepository class

<b>Signature:</b>

```typescript
export declare class RemoteRepository 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./git-documentdb.remoterepository._constructor_.md) |  | Constructs a new instance of the <code>RemoteRepository</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [connect(repos, credential\_callbacks, onlyFetch)](./git-documentdb.remoterepository.connect.md) |  | Set a remote repository and connect to the remote repository. A remote repository will be created if not exists. |
|  [create()](./git-documentdb.remoterepository.create.md) |  | Create a repository on a remote site |
|  [destroy()](./git-documentdb.remoterepository.destroy.md) |  | Delete a repository on a remote site |

